var destructionOffset = 40; //Idealement 30 ou 40

angular.module('beamng.apps').directive('damageCounter', ['StreamsManager', function (StreamsManager) {
    return {
        template: 
            '<object  style="width:100%; height:100%; pointer-events: none" type="image/svg+xml" data="modules/apps/DamageCounter/simple-damage.svg"/>',
        replace: true,
        link: function (scope, element, attrs) {
            var streamsList = ['stats'];
            StreamsManager.add(streamsList);
            scope.$on('$destroy', function () {
                StreamsManager.remove(streamsList);
            });

            element.on('load', function () {
                var svg = element[0].contentDocument
                , deformedText = svg.getElementById('deformed-text')
                , brokenText = svg.getElementById('broken-text')
                
                scope.$on('streamsUpdate', function (event, streams) {
                    var deformedPercent = { number: streams.stats.beams_deformed, percentage: streams.stats.beams_deformed/streams.stats.beam_count * 100 };
                    var brokenPercent = { number: streams.stats.beams_broken, percentage: streams.stats.beams_broken/streams.stats.beam_count * 100 };
                    var rDamage = deformedPercent.percentage + brokenPercent.percentage;
                    var aDamage = rDamage * (destructionOffset / 100.0);
                    var cDamage = rDamage + aDamage;
                    var fDamage = Math.min(cDamage, 100.0);
                    brokenText.innerHTML = "Damage : " + fDamage.toFixed(1) + "%";
                });
            });
        }
    };
}]);